module Archive
  class Engine < ::Rails::Engine
    initializer "archive" do 
      OrbitApp.registration "Archive", :type => "ModuleApp" do
        module_label "archive.archive"
        base_url File.expand_path File.dirname(__FILE__)

        taggable "ArchiveFile"
        categorizable
        authorizable

        side_bar do
          head_label_i18n 'archive.archive', icon_class: "icons-archive"
          available_for [:admin,:manager,:sub_manager]
          active_for_controllers ({:private=>['archive_files']})
          head_link_path "admin_archive_files_path"

        end
      end
    end
  end
end
